package jp.co.ois.hoge.sandbox;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

import javax.validation.constraints.Size;

public class HogeForm implements Serializable {
	int id;

	@Size(min = 1, max = 10)
	String name = null;

	@Size(min = 1, max = 999)
	String comment = null;

	Date updatedAt;

	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getComment() {
		return comment;
	}
	public void setComment(String comment) {
		this.comment = comment;
	}
	public Date getUpdatedAt() {
		return updatedAt;
	}
	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}
	public String getUpdatedAtString() {
		SimpleDateFormat format = new SimpleDateFormat("yyyy/MM/dd HH:mm:sss");
		return format.format(updatedAt);
	}
	@Override
	public String toString() {
		return "[" + id + "," + name + "," + comment + "]";
	}
}
