package jp.co.ois.hoge.sandbox;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.ibatis.session.SqlSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class HogeLogic {
	private static final Log log = LogFactory.getLog(HogeLogic.class);
	@Autowired
	private SqlSession sqlSession;

	public void update(HogeForm form) {
		log.debug("called. "+ form);
		if (form.getId() > 0) {
			sqlSession.update("jp.co.ois.hoge.sandbox.hoge.update", form);
		} else {
			sqlSession.insert("jp.co.ois.hoge.sandbox.hoge.insert", form);
		}
	}

	public List<HogeForm> list() {
		log.debug("called.");
		return sqlSession.selectList("jp.co.ois.hoge.sandbox.hoge.list");
	}

	public HogeForm select(int id) {
		log.debug("called. "+ id);
		return sqlSession.selectOne("jp.co.ois.hoge.sandbox.hoge.select", id);
	}
}
