<%@page contentType="text/html; charset=utf-8" %>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
	<title>ほげ</title>
</head>
<body>
	<h1>ほげ</h1>
	<form:form modelAttribute="hogeForm" servletRelativeAction="/hoge/update" method="POST">
		<form:hidden path="id" />

		<br><br>
		名前：<form:input path="name" />
		<form:errors path="name" /><br>

		コメント：<form:input path="comment" />
		<form:errors path="comment" /><br>

		<input type="submit" value="更新">
	</form:form>
	${result}<br>

<hr>
<table border=1>
	<tr>
	<th>id</th>
	<th>name</th>
	<th>comment</th>
	<th>updatedAt</th>
	</tr>
<c:forEach var="hoge" items="${list}" varStatus="status">
	<tr onclick="selectHoge(${hoge.id})">
	<td><c:out value="${hoge.id}"/></td>
	<td><c:out value="${hoge.name}"/></td>
	<td><c:out value="${hoge.comment}"/></td>
	<td><c:out value="${hoge.updatedAtString}"/></td>
	</tr>
</c:forEach>
</table>
<br>
<input type="button" value="新規" onclick="newForm()">

<script>
function selectHoge(id) {
	location = "<c:url value="/hoge/select"/>?id="+ id;
}
function newForm() {
	location = "<c:url value="/hoge/"/>";
}
</script>
</body>
</html>
